Subject: bug#36861: 27.0.50; display-fill-column-indicator-mode in log-edit-mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Aug 2019 17:42:14 +0300

> Date: Tue, 06 Aug 2019 21:25:00 +0200
> CC: [email-masked],[email-masked]
> From: Ergus <[email-masked]>
> 
> We can do that... I was just trying to avoid using ?| by default in any case. 

Why should we avoid that?  It might be not the best alternative, but
at least it lets users who just set the mode variable have an
indicator.  If they want a prettier display, they will have to call
the mode function instead, as they do now.  So I think this is a net
win.  Or am I missing something?

> There is also the case when a user sets ?| by default and then call the function. If the check we add is just
> comparing to the default value then ?| will be always overwritten so an extra internal variable will be needed to
> cache where the ?| comes from.

Not sure we need another variable.  After all, if the conditions
stayed the same, the result will be the same as well, and you will
overwrite the value with an identical one.  Right?